Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-graphviz for openSUSE:Factory
Hello community,

here is the log from the commit of package python-graphviz for openSUSE:Factory
checked in at 2019-04-26 22:42:09
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-graphviz (Old)
and /work/SRC/openSUSE:Factory/.python-graphviz.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-graphviz"

Fri Apr 26 22:42:09 2019 rev:5 rq:697106 version:0.10.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-graphviz/python-graphviz.changes
2018-12-24 11:37:46.369644820 +0100
+++
/work/SRC/openSUSE:Factory/.python-graphviz.new.5536/python-graphviz.changes
2019-04-26 22:42:14.781711069 +0200
@@ -1,0 +2,7 @@
+Tue Apr 23 10:58:51 UTC 2019 - Thomas Bechtold <tbechtold@xxxxxxxx>
+
+- Add minimal needed versions to BuildRequires
+ Build fails with older python-pytest-mock versions so add the
+ needed checks to avoid that
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-graphviz.spec ++++++
--- /var/tmp/diff_new_pack.cvJpNV/_old 2019-04-26 22:42:16.545710169 +0200
+++ /var/tmp/diff_new_pack.cvJpNV/_new 2019-04-26 22:42:16.549710166 +0200
@@ -1,7 +1,7 @@
#
# spec file for package python-graphviz
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -25,10 +25,10 @@
Group: Development/Languages/Python
URL: http://github.com/xflr6/graphviz
Source:
https://files.pythonhosted.org/packages/source/g/graphviz/graphviz-%{version}.zip
-BuildRequires: %{python_module mock}
+BuildRequires: %{python_module mock >= 2}
+BuildRequires: %{python_module pytest >= 3.4}
BuildRequires: %{python_module pytest-cov}
-BuildRequires: %{python_module pytest-mock}
-BuildRequires: %{python_module pytest}
+BuildRequires: %{python_module pytest-mock >= 1.8}
BuildRequires: %{python_module setuptools}
BuildRequires: dos2unix
BuildRequires: fdupes



< Previous Next >
This Thread
  • No further messages